Bug 547840 - [abrt] crash detected in xemacs-21.5.29-8.fc12
Summary: [abrt] crash detected in xemacs-21.5.29-8.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:daebb329a1019a0e84b8c0dccaf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 19:37 UTC by Masood
Modified: 2010-01-14 01:24 UTC (History)
1 user (show)

Fixed In Version: 21.5.29-11.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-10 15:11:49 UTC


Attachments (Terms of Use)
File: backtrace (11.76 KB, text/plain)
2009-12-15 19:37 UTC, Masood
no flags Details
keymap (17.65 KB, application/octet-stream)
2009-12-17 23:28 UTC, Masood
no flags Details

Description Masood 2009-12-15 19:37:42 UTC
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: xemacs /home/Courses/AI/shahbazi_hoosh/a.out
component: xemacs
executable: /usr/bin/xemacs-21.5-b29
kernel: 2.6.31.6-162.fc12.x86_64
package: xemacs-21.5.29-8.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Masood 2009-12-15 19:37:46 UTC
Created attachment 378599 [details]
File: backtrace

Comment 2 Jerry James 2009-12-15 21:03:37 UTC
Thanks for the report.   It looks like xemacs went haywire trying to interpret your binary file as Unicode characters.  Since the actual values I need were optimized out in that backtrace, do you still have the a.out file that triggered this crash?  If so, do you mind attaching it to this bug so that I can attempt to reproduce the crash?

Comment 3 Masood 2009-12-15 21:27:18 UTC
Hello, It always crashes. there isn't any sensitivity to any file, xemacs crashes every time, everywhere in my system! but emacs doesn't!
I just installed it from the repository (fedora rep.) about 1 month ago, but couldn't start it yet...

Comment 4 Jerry James 2009-12-15 22:06:07 UTC
It hasn't crashed for me even once since I became the Fedora package maintainer last June, and I use it every day, nor have I received any reports of crashes except for this one.  So it appears that your system is "special" in some way.  I'm going to need your help to figure out why it crashes for you.  Does it crash if you start XEmacs like this?

xemacs -vanilla

Comment 5 Jerry James 2009-12-16 15:38:48 UTC
Also, what locale are you using?

Comment 6 Masood 2009-12-16 22:01:48 UTC
Yes, it crashed again!
I installed it by using this command :
yum groupinstall 'Electronic Lab'
reinstalling didn't do anything good too...!
Excuse me but, I do not know what are my configurations for this program!
My system default language is English U.S. and the secondary language is Persian. But I do not think, this raises of the crash! Cause I didn't use Persian language on XEmacs or something like this!

Comment 7 Jerry James 2009-12-16 22:08:51 UTC
Sure, but the reported crash is inside code that is trying to do Unicode conversions, so the very fact that your environment includes Persian may be leading to the crash.

Did you try running with -vanilla (see comment 4)?

With respect to comment 5, can you tell me the values of the following environment variables, please?

LANG
LC_ALL
LC_CTYPE
LC_MESSAGES
LC_NUMERIC
LC_TIME

Hopefully that will be enough to let me reproduce the crash.  Thank you.

Comment 8 Masood 2009-12-17 19:50:30 UTC
oh, excuse me! In comment 6, I tried to say it at my first sentence but didn't make the right sentence(:D). running with -vanilla didn't help me too; It crashed just like before...
Of course, The value of LANG variable is "en_US.UTF-8" and all the others are empty.
Thank you...

Comment 9 Jerry James 2009-12-17 20:23:01 UTC
I don't understand what you mean by having Persian as a secondary language, then.  How did you set that?

Comment 10 Masood 2009-12-17 20:42:43 UTC
Sorry, Don't be confused! My non-default keyboard layout is Persian and nothing else, I was just telling you my locale informations.
I don't know what settings can cause an XEmacs locale like problem!

Comment 11 Jerry James 2009-12-17 20:51:19 UTC
Maybe we're barking up the wrong tree, then.  Can you show me the output of this command?

rpm -qa | grep xemacs

Comment 12 Masood 2009-12-17 20:57:40 UTC
xemacs-debuginfo-21.5.29-8.fc12.x86_64
xemacs-21.5.29-8.fc12.x86_64
xemacs-packages-base-20090217-4.fc12.noarch
xemacs-common-21.5.29-8.fc12.x86_64

Comment 13 Jerry James 2009-12-17 21:24:28 UTC
I'm going to post your problem to the XEmacs development mailing list and see if anybody has any ideas.  Stand by...

Comment 14 Masood 2009-12-17 21:26:57 UTC
Thank you very much...

Comment 15 Jerry James 2009-12-17 23:13:53 UTC
One of the developers pointed out that I'm an idiot.  I should have looked at your backtrace more carefully.  It is clearly inside the X Windows initialization code, which explains why it crashes on every file.

Can you run "xmodmap -pk > keymap" and attach the keymap file to this bug?

Comment 16 Masood 2009-12-17 23:28:24 UTC
Created attachment 379120 [details]
keymap

Comment 17 Jerry James 2009-12-18 15:56:35 UTC
The XEmacs developers have diagnosed the problem.  The support for Arabic keysyms was buggy, so one of the developers removed it entirely in the recent past until it can be redone correctly.  When XEmacs sees your Persian keyboard layout, it tries to process the X keysyms, and crashes because of the missing Arabic support.

Two of the developers are attempting to accelerate their work on fixing this code to behave correctly.  However, they do not yet have a projected timeline for when a patch will be available.  In the meantime, the only workarounds are to use the xemacs-nox version, or to remove Persian as a secondary keyboard layout.  Neither is very satisfactory.

As soon as something is ready to test, I'll post to this bug report.

Comment 18 Masood 2009-12-18 19:06:32 UTC
Thank you very much Jerry James...

Comment 19 Fedora Update System 2009-12-22 00:13:14 UTC
xemacs-21.5.29-10.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-10.fc12

Comment 20 Fedora Update System 2009-12-22 00:13:18 UTC
xemacs-21.5.29-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-9.fc11

Comment 21 Jerry James 2009-12-22 00:18:55 UTC
Masood, the XEmacs developers believe they have solved the problem.  The updates described in comment 19 and comment 20 will be available in the fedora-updates repository once the next compose happens.  If you could please try it out and let me know if it resolves the problem to your satisfaction, I would appreciate it.

Comment 22 Fedora Update System 2009-12-22 19:54:46 UTC
xemacs-21.5.29-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13541

Comment 23 Fedora Update System 2009-12-22 19:55:51 UTC
xemacs-21.5.29-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13554

Comment 24 Masood 2009-12-25 16:25:22 UTC
Excuse me because of my absence. It doesn't work again! but this time abrt didn't raise again and XEmacs says :
Wrong type argument: natnump, -2075136

Comment 25 Jerry James 2009-12-29 17:15:59 UTC
No problem.  I've been absent, too.  I'm going to push this update anyway, because it at least prevents the crash.  This new error appears to be due to integer overflow.  I'll look into it.

Comment 26 Fedora Update System 2010-01-02 03:29:45 UTC
xemacs-21.5.29-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2010-01-02 03:39:42 UTC
xemacs-21.5.29-10.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Jerry James 2010-01-04 20:35:20 UTC
Oops, I forgot to make the update not auto-close this bug.  Reopening until we fix the next issue.

Comment 29 Fedora Update System 2010-01-07 17:55:28 UTC
xemacs-21.5.29-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-11.fc12

Comment 30 Fedora Update System 2010-01-07 17:55:37 UTC
xemacs-21.5.29-10.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xemacs-21.5.29-10.fc11

Comment 31 Jerry James 2010-01-07 17:59:58 UTC
Upstream thinks they have this fixed, too.  This update should be available in the testing repository soon.

Comment 32 Fedora Update System 2010-01-08 19:56:25 UTC
xemacs-21.5.29-10.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0323

Comment 33 Fedora Update System 2010-01-08 20:13:39 UTC
xemacs-21.5.29-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xemacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0352

Comment 34 Masood 2010-01-10 15:06:13 UTC
Thanks; It works clear for me, well done.
Good luck...

Comment 35 Fedora Update System 2010-01-14 01:24:01 UTC
xemacs-21.5.29-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2010-01-14 01:24:24 UTC
xemacs-21.5.29-11.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.